MGASA-2021-0122 - Updated python-httplib2 packages fix a security vulnerability

Publication date: 12 Mar 2021
URL: https://advisories.mageia.org/MGASA-2021-0122.html
Type: security
Affected Mageia releases: 7, 8
CVE: CVE-2021-21240

A malicious server which responds with long series of \xa0 characters in the
www-authenticate header may cause Denial of Service (CPU burn while parsing
header) of the httplib2 client accessing said server (CVE-2021-21240).

References:
- https://bugs.mageia.org/show_bug.cgi?id=28385
- https://github.com/httplib2/httplib2/security/advisories/GHSA-93xj-8mrv-444m
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-21240

SRPMS:
- 8/core/python-httplib2-0.19.0-1.mga8
- 7/core/python-httplib2-0.19.0-1.mga7